Page MenuHomePhabricator

Announce simplified installation of the math extension
Closed, ResolvedPublic

Description

We should announce the simplified installation procedure to

  • MediaWiki-L, Wikitech-L
  • other channels of the Mediawiki Stakeholders Group

Proposal for an announcement text (edited by @JStrodt_WMDE):

Installing the MediaWiki Math is easier now

In the past, administrators of MediaWiki installations faced a challenging installation procedure when they tried to enable rendering of mathematical formulae. As of February 22, no configuration or custom installation is required with the latest versions of MediaWiki core and the Math extension, if your wiki is connected to the internet.

This is how it’s done:
For wikis connected to the internet: Simply download the latest versions for both of Mediawiki core [1] and the Math extension [2] and that's it. The latest version can be obtained by selecting “master” in the extension distributor. 

For wikis not connected to the internet: 
Download the latest version of Mediawiki core [1] and the Math extension [2].
Install the node module mathoid [4]. We recommend using Node version 8 LTS [5], if node.js is not installed on the server. Mathoid can be installed to any location of your server that is accessible to the web server. For instance, in the location of the Math extension.
After having installed and tested (e.g., by running npm test) the mathoid installation, point your MediaWiki to this location by adding the following config to your LocalSettings.php file:
$wgMathoidCli = ['/srv/mathoid/cli.js', '-c', '/srv/mathoid/config.dev.yaml'];
Replace /srv/mathoid with the location of your mathoid installation and run update.php [6].

If you have any issues with the installation, please file a phabricator ticket using the following link
https://phabricator.wikimedia.org/maniphest/task/create/?projects=MediaWiki-extensions-Math


Links and further reading:
[1] https://www.mediawiki.org/wiki/Download_from_Git
[2] Documentation of the Math extension https://www.mediawiki.org/wiki/Extension:Math**
[3] Extension distributor https://www.mediawiki.org/wiki/Special:ExtensionDistributor/Math
[4] Mathoid node package https://www.npmjs.com/package/mathoid
[5] Node homepage https://nodejs.org/en/
[6] How to run the database update https://www.mediawiki.org/wiki/Manual:Update.php

Scientific Paper: Moritz Schubotz, Gabriel Wicke: Mathoid: Robust, Scalable, Fast and Accessible Math Rendering for Wikipedia. CICM 2014: 224-235 https://arxiv.org/pdf/1404.6179.pdf

Required versions:
* For offline Math rendering MediaWiki core must include patch https://gerrit.wikimedia.org/r/#/c/399768/
** The math extension must include patch https://gerrit.wikimedia.org/r/#/c/372100/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2018, 4:00 PM
Physikerwelt triaged this task as Normal priority.Mar 2 2018, 4:07 PM
Physikerwelt updated the task description. (Show Details)
Physikerwelt added subscribers: JStrodt_WMDE, Bmueller.
Physikerwelt moved this task from Incoming to Next-up on the Math board.Mar 4 2018, 10:02 AM
Physikerwelt updated the task description. (Show Details)Mar 6 2018, 11:03 AM
TheDJ awarded a token.Mar 6 2018, 2:53 PM
Kghbln awarded a token.Mar 6 2018, 3:04 PM
Physikerwelt closed this task as Resolved.Mar 8 2018, 2:39 PM
Physikerwelt updated the task description. (Show Details)
Paladox added a subscriber: Paladox.May 8 2018, 3:43 PM

What if the user has mathoid on a seperate server? How will that work? Will this need restbase still? or can mathoid work now without the math extension blowing up?